#                            Package   : omniEvents
# naming.py                  Created   : 16/11/2003
#                            Author    : Alex Tingle
#
#    Copyright (C) 2003 Alex Tingle.
#
#    This file is part of the omniEvents application.
#
#    omniEvents is free software; you can redistribute it and/or
#    modify it under the terms of the GNU Lesser General Public
#    License as published by the Free Software Foundation; either
#    version 2.1 of the License, or (at your option) any later version.
#
#    omniEvents is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#    Lesser General Public License for more details.
#
#    You should have received a copy of the GNU Lesser General Public
#    License along with this library; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

"""naming Service Utility functions."""

import sys
import CORBA
import CosNaming

def getRootNamingContext(orb):
  try:
      # Get initial reference.
      initServ    = orb.resolve_initial_references("NameService")

      # Narrow the object returned by resolve_initial_references()
      # to a CosNaming.NamingContext object:
      rootContext = initServ._narrow(CosNaming.NamingContext)
      if rootContext is None:
        sys.stderr.write('Failed to narrow naming context.\n')
        sys.exit(1)
  except CORBA.ORB.InvalidName, ex:
    sys.stderr.write('Service required is invalid [does not exist].\n')
    sys.exit(1)
  except CORBA.COMM_FAILURE, ex:
    sys.stderr.write('Caught system exception COMM_FAILURE.\n')
    sys.exit(1)
  except:
    sys.stderr.write( \
      'Caught a system exception while resolving the naming service.\n')
    sys.exit(1)
  return rootContext
#end getRootNamingContext
